var toConsumableArray = function (arr) {
  if (Array.isArray(arr)) {
    for (var i = 0, arr2 = Array(arr.length); i < arr.length; i++) arr2[i] = arr[i];

    return arr2;
  } else {
    return Array.from(arr);
  }
};

var toArray$$1 = function toArray$$1(elements) {
    if (elements.length === 1) return elements[0];

    return [].concat(toConsumableArray(elements));
};

var sdom = function sdom(selector) {
    var root = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : document;

    if (!selector) throw new Error('sdom: provide selector');

    // complex selector
    if (selector.match(/ |>|~+|~/)) return toArray$$1(root.querySelectorAll(selector));

    var selectorType = selector.slice(0, 1);
    var nakedSelector = selector.slice(1);

    // head
    if (selector === 'head') return document.head;

    //body    
    if (selector === 'body') return document.body;

    // id
    if (selectorType === '#') return document.getElementById(nakedSelector);

    // class
    if (selectorType === '.') return toArray$$1(root.getElementsByClassName(nakedSelector));

    // data-attribute
    if (selectorType === '[') return toArray$$1(root.querySelectorAll(selector));

    // tag name
    if (selector === selector.toLowerCase() && selector !== selector.toUpperCase()) return toArray$$1(root.getElementsByTagName(selector));

    throw new Error('sdom: not supported selector');
};

export default sdom;
